Uses of Interface
org.apache.camel.builder.endpoint.dsl.MapstructEndpointBuilderFactory.MapstructEndpointBuilder
-
Packages that use MapstructEndpointBuilderFactory.MapstructEndpointBuilder Package Description org.apache.camel.builder.endpoint org.apache.camel.builder.endpoint.dsl -
-
Uses of MapstructEndpointBuilderFactory.MapstructEndpointBuilder in org.apache.camel.builder.endpoint
Methods in org.apache.camel.builder.endpoint that return MapstructEndpointBuilderFactory.MapstructEndpointBuilder Modifier and Type Method Description static MapstructEndpointBuilderFactory.MapstructEndpointBuilderStaticEndpointBuilders. mapstruct(String path)MapStruct (camel-mapstruct) Type Conversion using Mapstruct Category: transformation Since: 3.19 Maven coordinates: org.apache.camel:camel-mapstruct Syntax:mapstruct:classNamePath parameter: className (required) The fully qualified class name of the POJO that mapstruct should convert to (target)static MapstructEndpointBuilderFactory.MapstructEndpointBuilderStaticEndpointBuilders. mapstruct(String componentName, String path)MapStruct (camel-mapstruct) Type Conversion using Mapstruct Category: transformation Since: 3.19 Maven coordinates: org.apache.camel:camel-mapstruct Syntax:mapstruct:classNamePath parameter: className (required) The fully qualified class name of the POJO that mapstruct should convert to (target) -
Uses of MapstructEndpointBuilderFactory.MapstructEndpointBuilder in org.apache.camel.builder.endpoint.dsl
Methods in org.apache.camel.builder.endpoint.dsl that return MapstructEndpointBuilderFactory.MapstructEndpointBuilder Modifier and Type Method Description default MapstructEndpointBuilderFactory.MapstructEndpointBuilderMapstructEndpointBuilderFactory.AdvancedMapstructEndpointBuilder. basic()static MapstructEndpointBuilderFactory.MapstructEndpointBuilderMapstructEndpointBuilderFactory. endpointBuilder(String componentName, String path)default MapstructEndpointBuilderFactory.MapstructEndpointBuilderMapstructEndpointBuilderFactory.MapstructEndpointBuilder. mandatory(boolean mandatory)Whether there must exist a mapstruct converter to convert to the POJO.default MapstructEndpointBuilderFactory.MapstructEndpointBuilderMapstructEndpointBuilderFactory.MapstructEndpointBuilder. mandatory(String mandatory)Whether there must exist a mapstruct converter to convert to the POJO.default MapstructEndpointBuilderFactory.MapstructEndpointBuilderMapstructEndpointBuilderFactory.MapstructBuilders. mapstruct(String path)MapStruct (camel-mapstruct) Type Conversion using Mapstruct Category: transformation Since: 3.19 Maven coordinates: org.apache.camel:camel-mapstruct Syntax:mapstruct:classNamePath parameter: className (required) The fully qualified class name of the POJO that mapstruct should convert to (target)default MapstructEndpointBuilderFactory.MapstructEndpointBuilderMapstructEndpointBuilderFactory.MapstructBuilders. mapstruct(String componentName, String path)MapStruct (camel-mapstruct) Type Conversion using Mapstruct Category: transformation Since: 3.19 Maven coordinates: org.apache.camel:camel-mapstruct Syntax:mapstruct:classNamePath parameter: className (required) The fully qualified class name of the POJO that mapstruct should convert to (target)
-